
#define CBQM_MAXCLASS	64

struct class_info {
    u_int	handle;
    u_int	npackets;	/* packets sent in this class */
    u_int	nbytes;		/* bytes sent in this class */
    u_int	drops;		/* # times dropped packets */
    u_int	drop_bytes;	/* bytes dropped */
};

struct cbqm_info {
    u_long	cbqm_magic;
    u_long	cbqm_sec;
    u_long	cbqm_usec;
    long	cbqm_len;
    struct class_info cbqm_cinfo[CBQM_MAXCLASS];
};

#define CBQM_MAGIC	0x12345678
#define CBQM_CIGAM	0x78563412

#define CBQM_PORT	7289

/* for address family independent socket address structure */
union sockunion {
	struct sockinet {
		u_char si_len;
		u_char si_family;
		u_short si_port;
	} su_si;
	struct sockaddr_in  su_sin;
#ifdef INET6
	struct sockaddr_in6 su_sin6;
#endif
};
#define su_len		su_si.si_len
#define su_family	su_si.si_family
#define su_port		su_si.si_port

